### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
TypePayoff Class Reference

Intermediate class for put/call payoffs. More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for TypePayoff:
[legend]

List of all members.

## Public Member Functions

Option::Type | optionType () const
Payoff interface
std::string | description () const

## Protected Member Functions

| TypePayoff (Option::Type type)

## Protected Attributes

Option::Type | type_

## Detailed Description

Intermediate class for put/call payoffs.